class tails::jenkins::slave::iso_builder (
  $artifacts_root_dir,
  $master_url,
  $nfs_user = undef,
  $http_proxy,
) {

  class { '::tails::jenkins::slave':
    artifacts_root_dir => $artifacts_root_dir,
    master_url         => $master_url,
  }

  class { '::tails::builder':
    http_proxy => $http_proxy,
  }
  
  file { '/usr/local/bin/clean_old_jenkins_artifacts.rb':
    owner  => root,
    group  => root,
    mode   => '0755',
    source => 'puppet:///modules/tails/jenkins/slave/iso_builder/clean_old_jenkins_artifacts.rb',
  }

  if $nfs_user {
    user { 'jenkins':
      membership => minimum,
      uid        => $nfs_user,
      groups     => [ 'sudo' ],
      require    => Package['jenkins-slave'],
    }
  } else {
    user { 'jenkins':
      membership => minimum,
      groups     => [ 'sudo' ],
      require    => Package['jenkins-slave'],
    }
  }

  $packages_from_acng_log_deps = [
    'libcarp-assert-perl',
    'libcarp-assert-more-perl',
    'libio-all-perl',
    'liblist-moreutils-perl'
  ]
  ensure_packages($packages_from_acng_log_deps)

}
